[ -z "$ROOT" ] && ROOT=/www
CONFIG=$ROOT/config
SCRIPT=$ROOT/script

source $SCRIPT/utils/misc.sh

monitorConfig() {
	local validConfig=`cat $CONFIG/ng.conf | grep HASH_CONFIG_SITE`
	if [ -z "$validConfig" ] ; then
		echo >> $CONFIG/ng.conf
	 	sh $SCRIPT/update/update-ng-config.sh
		return
	fi

  cat /etc/config/network | sort > /tmp/network
	local curHash=`md5 /tmp/network`
	sh $SCRIPT/setup/setup-network.sh
	uci commit

  cat /etc/config/network | sort > /tmp/network
	local newHash=`md5 /tmp/network`
	[ "$curHash" != "$newHash" ] && /etc/init.d/network reload
}

sleep 5
[ -f /tmp/booted ] || exit 0
[ -f /tmp/applying ] && exit 0
[ -f /tmp/installing ] && exit 0

monitorConfig